import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;

const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 15;
const mouthWidth = 10;
const mouthRadius = 120;
const eyeOffsetX = 80;
const eyeOffsetY = 100;

const eyespacing = 100;
const eyeoffset = -70;
const eyeRadius = 40;
const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowOffset = -70;



const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle((Math.PI/1.2)*0.8)
	.endAngle((Math.PI*3/2.7));

const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="pink"
        stroke="black"
        stroke-width={strokeWidth}
      />
    <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="white"
      	stroke="black"
      	stroke-width="7"
      />
    <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="white"
      	stroke="black"
      	stroke-width="7"
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "black"
        stroke = "blue"
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "black"
        stroke = "blue"
      />
    <ellipse
        rx={eyeRadius/1.5}
        ry={eyeRadius/1.5}
        fill = "red"
        stroke = "green"
      />
      <line
        x1={100}
        y1={33}
        x2={30}
        y2={10}
        stroke = "green"
        stroke-width = '3'
      />
      <line
        x1={-100}
        y1={33}
        x2={-30}
        y2={10}
        stroke = "blue"
        stroke-width = '3'
      />
      <line
        x1={-100}
        y1={20}
        x2={-30}
        y2={10}
        stroke = "black"
        stroke-width = '3'
      />
      <line
        x1={100}
        y1={20}
        x2={30}
        y2={10}
        stroke = "black"
        stroke-width = '3'
      />
      <line
        x1={100}
        y1={10}
        x2={30}
        y2={10}
        stroke = "blue"
            stroke-width = '3'
      />
      <line
        x1={-100}
        y1={10}
        x2={-30}
        y2={10}
        stroke = "green"
        stroke-width = '3'
      />
      <line
        x1={-200}
        y1={-235}
        x2={-120}
        y2={-210}
        stroke = "black"
        stroke-width = '10'
      />
      <line
        x1={200}
        y1={-235}
        x2={120}
        y2={-210}
        stroke = "black"
        stroke-width = '10'
      />
      <line
        x1={-200}
        y1={-240}
        x2={-200}
        y2={-140}
        stroke = "brown"
        stroke-width = '10'
      />
      <line
        x1={200}
        y1={-240}
        x2={200}
        y2={-140}
        stroke = "brown"
        stroke-width = '10'
      />
    
  <path d={mouthArc()}/>
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);